using FluentValidation;
using PARR.API.Contracts.V1.Requests;

namespace PARR.API.Validators
{
    public class StatRobotSnapshotCreateRequestValidator: AbstractValidator<StatRobotSnapshotCreateRequest>
    {
        public StatRobotSnapshotCreateRequestValidator()
        {
            RuleFor(t => t.TemplateRobotsCount)
                .GreaterThanOrEqualTo(0)
                .WithMessage("Значение должно быть больше или равно нулю");

            RuleFor(t => t.ScheduleRobotsCount)
                .GreaterThanOrEqualTo(0)
                .WithMessage("Значение должно быть больше или равно нулю");

            RuleFor(t => t.MaxRobots)
                .GreaterThanOrEqualTo(0)
                .WithMessage("Значение должно быть больше или равно нулю");
        }
    }
}
